> ## Documentation Index > Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt > Use this file to discover all available pages before exploring further. # /public/v1/legal-entity/{id} > Retrieves a single legal entity by identifier ## OpenAPI ````json GET /public/v1/legal-entity/{id} { "openapi": "3.0.1", "info": { "title": "R365.PublicApi", "contact": { "name": "R365 Services Team", "email": "r365@restaurant365.com" }, "version": "1.0" }, "security": [ { "Bearer": [] } ], "paths": { "/public/v1/legal-entity/{id}": { "get": { "tags": [ "netcore" ], "description": "Retrieves a single legal entity by identifier", "parameters": [ { "name": "id", "in": "path", "description": "Legal entity identifier (GUID)", "required": true, "schema": { "type": "string", "format": "uuid" } } ], "responses": { "200": { "description": "Legal entity details", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/R365.Public.Shared.Contracts.LegalEntityDto" } }, "application/json": { "schema": { "$ref": "#/components/schemas/R365.Public.Shared.Contracts.LegalEntityDto" } }, "text/json": { "schema": { "$ref": "#/components/schemas/R365.Public.Shared.Contracts.LegalEntityDto" } } } }, "404": { "description": "Legal entity not found" } } } } }, "components": { "schemas": { "R365.Public.Shared.Contracts.LegalEntityDto": { "type": "object", "properties": { "Id": { "type": "string", "format": "uuid" }, "Name": { "type": "string" }, "Number": { "type": "string" }, "IsActive": { "type": "boolean" }, "TaxId": { "type": "string" }, "StateId": { "type": "string" }, "PayrollProviderId": { "type": "string" }, "Address1": { "type": "string" }, "Address2": { "type": "string" }, "City": { "type": "string" }, "State": { "type": "string" }, "PostalCode": { "type": "string" }, "Country": { "type": "string" } } } }, "securitySchemes": { "Bearer": { "type": "http", "description": "Put **_ONLY_** your JWT Bearer token on textbox below!", "scheme": "Bearer", "bearerFormat": "JWT" } } } } ````